package com.simuwang.manage.api.system;

import com.simuwang.base.pojo.vo.UserChannelMappingVO;
import com.simuwang.base.pojo.vo.UserIdVO;
import com.simuwang.logging.SystemLog;
import com.simuwang.manage.service.UserChannelMappingService;
import com.smppw.common.pojo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@SystemLog(value = "用户渠道映射")
@RestController
@RequestMapping("/v1/sys/user-channel")
public class SysUserChannelMappingController {
    @Autowired
    private  UserChannelMappingService sysUserChannelMappingService;

    @RequestMapping("/save")
    public ResultVo saveUserChannel(@RequestBody UserChannelMappingVO userChannelMappingVO) {
        ResultVo vo = sysUserChannelMappingService.saveUserChannel(userChannelMappingVO);
        return vo;
    }

    @RequestMapping("/get-user-channel")
    public ResultVo getUserChannel(UserIdVO userId) {
        return sysUserChannelMappingService.getUserChannel(userId.getUserId());
    }
}
