package com.simuwang.manage.service.impl;

import com.simuwang.base.mapper.daq.CompanySendStatusMapper;
import com.simuwang.base.pojo.dos.CompanySendStatusDO;
import com.simuwang.manage.service.CompanySendStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CompanySendStatusServiceImpl implements CompanySendStatusService {
    @Autowired
    private CompanySendStatusMapper companySendStatusMapper;

    @Override
    public CompanySendStatusDO getCompanySendStatusByCompanyId(String companyId) {
        return companySendStatusMapper.getCompanySendStatusByCompanyId(companyId);
    }

    @Override
    public void insert(CompanySendStatusDO sendStatus) {
        companySendStatusMapper.insert(sendStatus);
    }
}
